Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 6956 - should knfsd clear files in /var/lib/nfs at startup?
Summary: should knfsd clear files in /var/lib/nfs at startup?
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: knfsd
Version: 6.1
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-12 15:54 UTC by Nalin Dahyabhai
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-05 03:11:35 UTC


Attachments (Terms of Use)

Description Nalin Dahyabhai 1999-11-12 15:54:43 UTC
When knfsd is restarted after reboots, the old rmtab, etab, and xtab files
in /var/lib/nfs aren't cleared.  I'm not actually sure if this is a bug as
far as the NFS protocol goes, but it's annoying.

Comment 1 Cristian Gafton 2000-02-05 03:11:59 UTC
No, it is not. Those files help the nfs server to realize what was the last
known status for its clients on startup.

Without those every client will be forced to remount the NSF dirs when the NFS
server goes down.


Note You need to log in before you can comment on or make changes to this bug.